﻿'__________________________

'       VB Validator Class

'__________________________
'This class will validate controls on another form
Option Explicit On

Public Class VB205Validator
    Public Function IsPresent(ByRef myTextBox As TextBox, ByVal controlLabel As String) As Boolean
        If myTextBox.Text = String.Empty Then
            MessageBox.Show(controlLabel & " is a required field.", "Missing Data",
                            MessageBoxButtons.OK, MessageBoxIcon.Error)
            myTextBox.Select()
            Return False
        Else
            Return True
        End If

    End Function

    Public Function IsInteger(ByRef myTextBox As TextBox, ByVal controlLabel As String) As Boolean

        Dim x As Integer = 0            'must be the same type as the thing I am testing for (integer)

        If Not Integer.TryParse(myTextBox.Text, x) Then
            MessageBox.Show(controlLabel & " must be an integer.", "Wrong Data",
                            MessageBoxButtons.OK, MessageBoxIcon.Error)
            myTextBox.Select()
            Return False
        Else
            Return True
        End If
    End Function
End Class
