﻿'________________________________
'Learning ADO in Code Part 1
'Ron Kessler
'Created 11/10/2011
'________________________________

'Notes: this reads all records and fields from customers-05.mdf
'This only reads data

Option Explicit On

'---import these namespaces
Imports System.Data
Imports System.Data.SqlClient



Public Class frmADO1

    Private Sub frmADO1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Try
            'STEP 1: MAKE A CONNECTION STRING
            Dim connString As String = "Data Source = .\SQLEXPRESS;AttachDBFilename='C:\vb205DB\customers-05.mdf';Integrated Security= True;User Instance=True"

            'STEP 2: MAKE A CONN OBJECT
            Dim Conn As New SqlConnection(connString)

            'STEP 3: MAKE SQL SELECT STATEMENT
            Dim sqlString As String = "SELECT * FROM Customers ORDER BY Name"

            'STEP 4: MAKE A DATA ADAPTER
            Dim dataAdapter As New SqlDataAdapter(sqlString, Conn)

            'STEP 5: MAKE A DATASET
            Dim dataSet As New DataSet

            'STEP 6: EXECUTE SQL SELECT AND FILL THE DATASET
            dataAdapter.Fill(dataSet, "customers")  'tell it where to put data and name of dataset table

            'STEP 7: SET DATAGRID PROPERTIES
            With dgCustomers
                .DataSource = dataSet               'where is the data we got from DB?
                .DataMember = "customers"       'which table
            End With

        Catch ex As Exception
            MessageBox.Show("I cannot read the database." & ex.Message, "Error in Form Load Event",
                             MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub
End Class