﻿'____________________________________________

'                            M D I   D E M O
'                           VB 205 Fall 2011
'                                Ron Kessler
'                         Created 9/15/2011
'____________________________________________

'This is the app we did together in class.
'updated 9/22/2011

'9/22/2011- Added validation with class from lesson 9

Public Class frmParent

    

#Region "Original Forms for testing"
    Private Sub CustomerToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CustomerToolStripMenuItem.Click

        '---you must tell the customers form who its parent is
        My.Forms.frmCustomers.MdiParent = Me
        My.Forms.frmCustomers.Show()    'Displays form as non-modal. This means they can navigate to another form if they want

    End Sub

    Private Sub ManagerToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ManagerToolStripMenuItem.Click
        '---define the parent and display manager form
        My.Forms.frmManager.MdiParent = Me
        My.Forms.frmManager.Show()

    End Sub
#End Region

#Region "Window Menu Options"
    Private Sub TileVertToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TileVertToolStripMenuItem.Click
        '---tile both forms vertically
        Me.LayoutMdi(MdiLayout.TileVertical)

    End Sub

    Private Sub TileHorzToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TileHorzToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.TileHorizontal)

    End Sub

    Private Sub CascadeToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CascadeToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.Cascade)

    End Sub
#End Region

#Region "Lesson 9 Form Validation with Class"

    Private Sub mnuLesson9Validation_Click(sender As System.Object, e As System.EventArgs) Handles mnuLesson9Validation.Click
        My.Forms.frmValidation.MdiParent = Me
        My.Forms.frmValidation.Show()

    End Sub
#End Region

#Region "Close Active form & About Box & Exit"
    Private Sub CloseToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CloseToolStripMenuItem.Click
        '---close the active child form now. If no form is open, we need to trap that condition or it will error
        Dim myActiveForm As Form = Me.ActiveMdiChild    'this is a reference variable to the active child form
        If myActiveForm IsNot Nothing Then                      'this means if there IS an active form, then close it, otherwise ignore.
            myActiveForm.Close()
        End If
    End Sub

    Private Sub AboutToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutToolStripMenuItem.Click

        '---show the about box as modal (showdialog) so they must close it before going on!
        My.Forms.AboutBox1.ShowDialog()

    End Sub


    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        '---close apps this way when using multiple forms
        Application.Exit()
    End Sub
#End Region


    Private Sub mnuSingleThread_Click(sender As System.Object, e As System.EventArgs) Handles mnuSingleThread.Click
        My.Forms.Step1.MdiParent = Me
        My.Forms.Step1.Show()

    End Sub

    Private Sub mnuBW_Click(sender As System.Object, e As System.EventArgs) Handles mnuBW.Click
        My.Forms.frmBWorker.MdiParent = Me
        My.Forms.frmBWorker.Show()
    End Sub

    Private Sub SQLDemo1ToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles SQLDemo1ToolStripMenuItem.Click
        My.Forms.frmDemo1.MdiParent = Me
        My.Forms.frmDemo1.Show()

    End Sub

    Private Sub SearchingRecordsToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles SearchingRecordsToolStripMenuItem.Click
        My.Forms.frmCustSrch.MdiParent = Me
        My.Forms.frmCustSrch.Show()

    End Sub

    Private Sub PatternSearchToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles PatternSearchToolStripMenuItem.Click
        My.Forms.PatternSearch.MdiParent = Me
        My.Forms.PatternSearch.Show()

    End Sub

    Private Sub ADOInCodePart1ToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles ADOInCodePart1ToolStripMenuItem.Click
        My.Forms.frmADO1.MdiParent = Me
        My.Forms.frmADO1.Show()
    End Sub
End Class
